/*************************************************************************
Author:   Bjoern Biesenbach <bjoern@bjoern-b.de
Date:     28.09.2006	
Hardware: any AVR - tested on ATmega8 and 2 DS18B20

Using code from Martin Thomas, Peter Dannegger and maybe others.
*************************************************************************/
#include <avr/io.h>
#include "clock.h"

uint8_t daysPerMonth[]={31,28,31,30,31,30,31,31,30,31,30,31};	// Wieviele
								// Tage hat der
								// Monat?

void clock()
{
	if(clock_counter==100)
	{
		clock_counter=0;
		seconds++;
		if(seconds>59)
		{
			minutes++;
			seconds=0;
		}
		if(minutes>59)
		{
			hours++;
			minutes=0;
		}
		if(hours>23)
		{
			day++;
			weekday++;
			hours=0;
		}
		if(daysPerMonth[month-1]<day)
		{
			day=1;
			month++;
		}
		if(month>12)
		{
			month=1;
			year++;
		}
		if(weekday>6)
		{
			weekday=0;
		}
		printLcd();
	}
	if(clock_counter_dcf==100)
	{
		clock_counter_dcf=0;
		seconds_dcf++;
	}
	clock_counter++;
	clock_counter_dcf++;
}
