#ifndef __LCD_OUT_H__
#define __LCD_OUT_H__
void printLcd();
extern uint8_t seconds;		// Angezeigte Uhr: Sekunden
extern uint8_t minutes;		// Angezeigte Uhr: Minuten
extern uint8_t hours;		// Angezeigte Uhr: Stunden
extern uint8_t day;			// Angezeigte Uhr: Tage
extern uint8_t month;		// Angezeigte Uhr: Monat
extern uint8_t year;			// Angezeigte Uhr: Jahr
extern uint8_t weekday;		// Angezeigte Uhr: Wochentag

extern uint8_t Subzero[2];		// Positive oder negative Temperatur gemessen
extern uint16_t decicelsius[2];	// aktuelle Temperatur in 0.5°C Schritten

extern uint8_t seconds_dcf;		// Interne DCF-Uhr: Sekunden
extern uint8_t minutes_dcf[2];		// Interne DCF-Uhr: Minuten (erste und zweite
				// Minute, zur Synchronisation wird verglichen)
extern uint8_t hours_dcf[2];		// Interne DCF-Uhr: Stunden (Array: siehe Min.)
extern uint8_t day_dcf[2];		// Interne DCF-Uhr: Tage (Array: siehe Min.)
extern uint8_t month_dcf[2];		// Interne DCF-Uhr: Monat (Array: siehe Min.)
extern uint8_t year_dcf[2];		// Interne DCF-Uhr: Jahr (Array: siehe Min.)
extern uint8_t weekday_dcf[2];		// Interne DCF-Uhr: Wochentag (Array: siehe Min.)
#endif
